Bug 145758 - Firefox experiences spurious and temporary "hangs" in KDE but not Gnome
Firefox experiences spurious and temporary "hangs" in KDE but not Gnome
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 01:17 EST by Matthew
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 15:11:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew 2005-01-21 01:17:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Firefox performs noticeably better in Gnome than it does in KDE.  When
using KDE and firefox to browse somewhat complex web pages, firefox
will frequently "hang" for a few seconds (during which the kicker will
also not respond to mouse clicks) before allowing mouse input again. 
This never happens when using Gnome on the same machine.

I have experienced this same issue on every machine I have used with
Fedora Core 3 installed.  When installing Mandrake on the box, the
problem went away.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open up slashdot.org in firefox
2. Hit CTRL-T repeatedly and rapidly to open new windows until "hang"
    

Actual Results:  Short hang induced which lasts a few seconds in
firefox and the kicker.  Very irritating when browsing the web since
it happens every minute or so during medium to heavy browser usage.

Expected Results:  No delay when opening new tabs.

Additional info:

A bit contrived example, but one which I could get to demonstrate the
problem every time I did it.  This also happens frequently when
entering  data into forms on web pages frequently as well (including
while I fill out this bug report).  However, these occurances are much
more unpredictable.

Using stock version of firefox 1.0 from mozilla.org also exhibits
problem in KDE.

using top to watch CPU during such "hangs" does not show any higher
CPU utilization spikes.

Doing the exact same thing in Gnome or in KDE on Mandrake does not
induce any problems and Firefox works wonderfully.  I believe other
GTK apps do this from time to time as well, but I have not documented
them.

I've seen this commented on a few other places when using google, but
no one has seemed to find a solution yet.
Comment 1 Matthew 2005-01-21 01:21:21 EST
Some specs of the computers exhibiting the problem (as you can see
they are fairly high spec)

AMD Athlon 2200+ XP
1GB RAM
nVidia Geforce FX 5700 (does it with both stock and proprietary drivers)

AMD Athlon 64 3200+ (running x86)
1GB RAM
ATI 9700Pro (tried with both stock and propreitary drivers)


Dell Inspiron 8000 laptop (P3 1GHz, 512MB RAM)
Comment 2 Friedrich Gonzalez 2005-02-09 23:04:43 EST
I get the same problem here. Using kde.
Sometimes only using 2 windows and it hangs.
mozilla 1.7.3 seems to perform better.

Intel 865glc
256mb ram (and 512 ram)

[root@cyber02 root]# uname -r
2.6.10-1.12_FC2

rpms:

kdebase-3.2.2-8.FC2
firefox-0.9.3-0.fdr.4
mozilla-1.7.3-0.2.0
Comment 3 Matthew 2005-02-12 14:57:04 EST
Unloading klipper solves this problem.  Now the question is why klipper is
causing such a thing to happen with apps like firefox and mozilla.
Comment 4 Richard Allen 2005-05-02 12:16:47 EDT
I'm seeing this problem also, but I'm running KDE 3.4.0 from the KDE.org mirrors:

[ra@localhost ra]$ rpm -qi kdebase
Name        : kdebase                      Relocations: (not relocatable)
Version     : 3.4.0                             Vendor: Red Hat, Inc.
Release     : 0.fc3.1                       Build Date: mán 14.mar 2005,
16:13:26 GMT
Install Date: sun 20.mar 2005, 03:16:18 GMT      Build Host:
cyclone.stuttgart.redhat.com

Unloading kilpper changes nothing.   I think this started shortly after the
1.0.3 update for me.  Mozilla works perfectly.
All I have to do to get firefox to hang is to click something that opens another
window.   Its also always hangs when I first open it (homepage is /.)

strace on the hanging firefox gives:

futex(0x80c1838, FUTEX_WAIT, 175, NULL) = 0
futex(0x80c1874, FUTEX_WAKE, 1)         = 0
gettimeofday({1115050237, 833007}, NULL) = 0
gettimeofday({1115050237, 833093}, NULL) = 0
gettimeofday({1115050237, 833159}, NULL) = 0
futex(0x81543e0, FUTEX_WAKE, 1)         = 1
futex(0x81543dc, FUTEX_WAKE, 1)         = 1
futex(0x80c1838, FUTEX_WAIT, 177, NULL) = 0
futex(0x80c1874, FUTEX_WAKE, 1)         = 0
gettimeofday({1115050240, 330599}, NULL) = 0
gettimeofday({1115050240, 331622}, NULL) = 0
gettimeofday({1115050240, 332523}, NULL) = 0
futex(0x81543e0, FUTEX_WAKE, 1)         = 1
futex(0x81543dc, FUTEX_WAKE, 1)         = 1
futex(0x80c1838, FUTEX_WAIT, 179, NULL) = 0
futex(0x80c1874, FUTEX_WAKE, 1)         = 0
gettimeofday({1115050247, 421501}, NULL) = 0
gettimeofday({1115050247, 422430}, NULL) = 0
gettimeofday({1115050247, 423340}, NULL) = 0
futex(0x80c1838, FUTEX_WAIT, 181, NULL) = 0
futex(0x80c1874, FUTEX_WAKE, 1)         = 0
gettimeofday({1115050247, 831629}, NULL) = 0

loops slowly like this untill it's unlocks itself.   While it's hanging it does
not redraw it's windows.    Here is what happens when it unfreezes:

gettimeofday({1115050397, 898245}, NULL) = 0
gettimeofday({1115050397, 898330}, NULL) = 0
gettimeofday({1115050397, 898434}, NULL) = 0
gettimeofday({1115050397, 898499}, NULL) = 0
futex(0x80c1838, FUTEX_WAIT, 219, NULL) = 0
futex(0x80c1874, FUTEX_WAKE, 1)         = 0
gettimeofday({1115050412, 894298}, NULL) = 0
write(8, "8", 1)                        = 1
futex(0x80f6778, FUTEX_WAKE, 1)         = 1
gettimeofday({1115050412, 897343}, NULL) = 0
gettimeofday({1115050412, 898411}, NULL) = 0
gettimeofday({1115050412, 899406}, NULL) = 0
gettimeofday({1115050412, 900930}, NULL) = 0
gettimeofday({1115050412, 901894}, NULL) = 0
gettimeofday({1115050412, 902906}, NULL) = 0
futex(0x80c1838, FUTEX_WAIT, 221, NULL) = 0
futex(0x80c1874, FUTEX_WAKE, 1)         = 0
stat64("/home/ra/.mozilla/firefox/ysk5ys6h.default/Cache/FD29C5BBd00",
0xbfffc748) = -1 ENOENT (No such file or directory)
lstat64("/home/ra/.mozilla/firefox/ysk5ys6h.default/Cache/FD29C5BBd00",
0xbfffc748) = -1 ENOENT (No such file or directory)
read(5, "\372", 1)                      = 1
ioctl(4, FIONREAD, [32])                = 0
read(4, "~\2\233*\377j \0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\1\0"..., 32) = 32
poll([{fd=4, events=POLLIN, revents=POLLIN}, {fd=9, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN}],
7, 0) = 1
write(4, "\230\4\2\0\0\1@\1", 8)        = 8
read(4, "\n\0\233*\303\200\0\3\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32) = 32
read(4, "\n\1\233*\302\200\0\3\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32) = 32
read(4, "~\2\233*%l \0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0 \1"..., 32) = 32
read(4, "\t\1\233*\302\200\0\3\2\367\377\277\233o\f\10\2\0\0\0\1"..., 32) = 32
[lots of read cut]

read(4, 0xbfffd870, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)
select(5, [4], NULL, NULL, NULL)        = 1 (in [4])
read(4, "\1\0\260*\1\0\0\0F\0\0\0\353\20@\1\1\0\0\0\0\0\0\0(\0\0"..., 32) = 32
read(4, "\302\200\0\3", 4)              = 4
write(4, "\17\4\2\0\353\20@\1", 8)      = 8
read(4, 0xbfffd870, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)
select(5, [4], NULL, NULL, NULL)        = 1 (in [4])
read(4, "\1\0\261*\2\0\0\0F\0\0\0F\0\0\0\2\0\0\0\0\0\0\0(\0\0\0"..., 32) = 32
read(4, "\367\20@\1\354\20@\1", 8)      = 8
write(4, "\16\4\2\0\353\20@\1", 8)      = 8
read(4, 0xbfffd880, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)

Lots and lots of those.
Comment 5 Brian Woo 2005-10-20 11:38:29 EDT
I am experiencing this as well.  I have tried both Firefox 1.4.x and 1.5 betas.
 They both have the same problem when klipper is running.  Having "Ignore
selection" turned on seem to help a little but the problem is still there.

Running RHEL 4, KDE 3.3.
Comment 6 Matthew Miller 2006-07-10 17:21:05 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Christopher Aillon 2006-10-30 15:11:19 EST
No response, resolving.  If this still occurs in a later version of Fedora, such
as Fedora Core 6, please reopen.

Note You need to log in before you can comment on or make changes to this bug.